{% extends "base.html" %}

{% block content %}

<div class="container-fluid nowrap">
	{%  if option1zip[4][0] > option2zip[4][0] %}
		OPTION1 results in your highest grade
	{% else %}
		OPTION2 results in your highest grade
	{% endif %}
<br>
<br>
<table class="table table-striped">
	OPTION 1
	<thead>
		    <tr><th>Assignment(Points)</th><th>Percent</th><th>Points</th></tr></tr>
	</thead>
	<tbody>
			{% for prcnt,pnt,mx in option1zip[1] %}
			<tr>
				<th>Exam#{{ loop.index }}(
					{% if mx %}
						{{ mx }}pts
					{% else %}
						NA
					{% endif %}
				)</th>
				<td>{{ '%0.2f' % prcnt }}%</td>
				<td> 
					{{ '%0.2f' % pnt }}   
				</td>
			</tr>
			{% endfor %}

		<tr>
			<th>Exam Avg.( {{ '%0.2f' % option1zip[5][2] }}pts )</th>
			<td>{{ '%0.2f' % option1zip[5][0] }}%</td><td>{{ '%0.2f' % option1zip[5][1] }}</td>
		</tr>

			{% for prcnt,pnt,mx,keep in option1zip[0] %}
			<tr>
				<th>Homework#{{ loop.index }}(
					{% if mx %}
						{{ mx }}pts
					{% else %}
						NA
					{% endif %}
				)</th>
				<td>{{ '%0.2f' % prcnt }}%</td>
				<td> 
					{{ '%0.2f' % pnt if keep else 'drop' }}   
				</td>
			</tr>
			{% endfor %}
			{% for prcnt,pnt,mx,keep in option1zip[2] %}
			<tr>
				<th>Lab#{{ loop.index }}(
					{% if mx %}
						{{ mx }}pts
					{% else %}
						NA
					{% endif %}
				)</th>
				<td>{{ '%0.2f' % prcnt }}%</td>
				<td> 
					{{ '%0.2f' % pnt if keep else 'drop' }}   
				</td>
			</tr>
			{% endfor %}
			{% for prcnt,pnt,mx in option1zip[3] %}
			<tr>
				<th>Formal Lab#{{ loop.index }}(
					{% if mx %}
						{{ mx }}pts
					{% else %}
						NA
					{% endif %}
				)</th>
				<td>{{ '%0.2f' % prcnt }}%</td>
				<td> 
					{% if pnt %}
						{{ '%0.2f' % pnt }}   
					{% else %}
						NA
					{% endif %}
				</td>
			</tr>
			{% endfor %}
		
				<tr>
					<th></th>
					<th>Total({{ '%0.2f' % option1zip[4][1] }}pts)</th><td>{{ '%0.2f' % option1zip[4][0] }}</td>
				</tr>
				<tr>
					<th></th>
					<th>Overall%</th><td>{{ '%0.2f' % option1zip[4][2] }}%</td>
				</tr>
				<tr>
					<th></th>
					<th>Letter Grade</th><td>{{ option1zip[4][3] }}</td>
				</tr>	


	</tbody>
</table>
<br>
<br>

OPTION 2
<table class="table table-striped">
	<thead>
		    <tr><th>Assignment(Points)</th><th>Percent</th><th>Points</th></tr></tr>
	</thead>
	<tbody>
			

			{% for prcnt,pnt,mx,keep in option2zip[1] %}
			<tr>
				<th>Exam#{{ loop.index }}(
					{% if mx %}
						{{ mx }}pts
					{% else %}
						NA
					{% endif %}
				)</th>
				<td>{{ '%0.2f' % prcnt }}%</td>
				<td> 
					{{ '%0.2f' % pnt if keep else 'drop' }}   
				</td>
			</tr>
			{% endfor %}

			{% for prcnt,pnt,mx in option2zip[6] %}
			<tr>
				<th>Final Exam{{ loop.index }}(
					{% if mx %}
						{{ mx }}pts
					{% else %}
						NA
					{% endif %}
				)</th>
				<td>{{ '%0.2f' % prcnt }}%</td>
				<td> 
					{% if pnt %}
						{{ '%0.2f' % pnt }}   
					{% else %}
						NA
					{% endif %}
				</td>
			</tr>
			{% endfor %}
				
			{% for prcnt,pnt,mx,keep in option2zip[0] %}
			<tr>
				<th>Homework#{{ loop.index }}(
					{% if mx %}
						{{ mx }}pts
					{% else %}
						NA
					{% endif %}
				)</th>
				<td>{{ '%0.2f' % prcnt }}%</td>
				<td> 
					{{ '%0.2f' % pnt if keep else 'drop' }}   
				</td>
			</tr>
			{% endfor %}
			{% for prcnt,pnt,mx,keep in option2zip[2] %}
			<tr>
				<th>Lab#{{ loop.index }}(
					{% if mx %}
						{{ mx }}pts
					{% else %}
						NA
					{% endif %}
				)</th>
				<td>{{ '%0.2f' % prcnt }}%</td>
				<td> 
					{{ '%0.2f' % pnt if keep else 'drop' }}   
				</td>
			</tr>
			{% endfor %}
			{% for prcnt,pnt,mx in option2zip[3] %}
			<tr>
				<th>Formal Lab#{{ loop.index }}(
					{% if mx %}
						{{ mx }}pts
					{% else %}
						NA
					{% endif %}
				)</th>
				<td>{{ '%0.2f' % prcnt }}%</td>
				<td> 
					{% if pnt %}
						{{ '%0.2f' % pnt }}   
					{% else %}
						NA
					{% endif %}
				</td>
			</tr>
			{% endfor %}
		
				<tr>
					<th></th>
					<th>Total({{ '%0.2f' % option2zip[4][1] }}pts)</th><td>{{ '%0.2f' % option2zip[4][0] }}</td>
				</tr>
				<tr>
					<th></th>
					<th>Overall%</th><td>{{ '%0.2f' % option2zip[4][2] }}%</td>
				</tr>
				<tr>
					<th></th>
					<th>Letter Grade</th><td>{{ option2zip[4][3] }}</td>
				</tr>	

	</tbody>
</table>


<br>
<a href="{{ url_for('index') }}">Back to course page</a>
<br>
<br>
<a href="{{ url_for('logout') }}">Logout</a>

</div>




{% endblock %}

<!-- dont really need NA stuff -->
